> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tavus.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Check Conferencing Username Availability

> Check whether a conferencing `username` is available on `tavusinvite.com` before creating or patching a PAL.

See [Google Meet](/sections/conversational-video-interface/pal/meetings).


<Info>
  For AI agents, use `https://docs.tavus.io/openapi.yaml` for the full HTTP API contract.
</Info>

See [Google Meet](/sections/conversational-video-interface/pal/meetings) for username rules, allowlists, and scheduling via Google Calendar.


## OpenAPI

````yaml get /v2/pals/check-username
openapi: 3.0.3
info:
  title: Tavus Developer API Collection
  version: 1.0.0
  contact: {}
servers:
  - url: https://tavusapi.com
security:
  - apiKey: []
tags:
  - name: Videos
  - name: Faces
  - name: Voices
  - name: Conversations
  - name: Deployments
  - name: PALs
  - name: Tools
  - name: PAL Tools
  - name: Pronunciation Dictionaries
  - name: Replacements
  - name: Transcriptions
  - name: Documents
paths:
  /v2/pals/check-username:
    get:
      tags:
        - PALs
      summary: Check Conferencing Username Availability
      description: >
        Check whether a conferencing `username` is available on
        `tavusinvite.com` before creating or patching a PAL.


        See [Google
        Meet](/sections/conversational-video-interface/pal/meetings).
      operationId: checkConferencingUsername
      parameters:
        - name: username
          in: query
          required: true
          description: The username to check. Case-insensitive; stored lowercase.
          schema:
            type: string
          example: anna
      responses:
        '200':
          description: Availability result
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/conferencingUsernameCheck'
              examples:
                available:
                  summary: Available
                  value:
                    available: true
                taken:
                  summary: Already taken
                  value:
                    available: false
                    reason: Username is already taken.
                invalid:
                  summary: Invalid format
                  value:
                    available: false
                    reason: >-
                      Invalid username. Must be 2+ characters, start and end
                      with alphanumeric, and may contain '.', '_', or '-' in
                      between.
        '400':
          description: Bad Request - missing `username` query parameter
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Bad Request. username query parameter is required
        '401':
          description: UNAUTHORIZED
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Invalid access token
      security:
        - apiKey: []
components:
  schemas:
    conferencingUsernameCheck:
      type: object
      description: >-
        Result of [Check Conferencing Username
        Availability](/api-reference/pals/check-conferencing-username).
      properties:
        available:
          type: boolean
          description: '`true` when the username can be used on `tavusinvite.com`.'
          example: true
        reason:
          type: string
          description: Present when `available` is `false`.
          example: Username is already taken.
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: x-api-key

````